// pages/login/login.ts;
const app = getApp();
const {
  login,
  register
} = require('./../../utils/api.js')

import route_constant from '../../utils/route_constant.js';
import route_util from '../../utils/route_util.js';

Page({

  data: {
    nvabarData: {
      showCapsule: 1, //是否显示左上角图标   1表示显示    0表示不显示
      title: '', //导航栏 中间的标题
    },
    isYs: false,
    isAgree: false,
  },

  egree() {
    this.setData({
      isAgree: !this.data.isAgree
    })
  },

  goabout(e) {
    wx.navigateTo({
      url: './../aboutInfo/aboutInfo?type=' + e.currentTarget.dataset.index,
    })
  },

  getPhoneNumber(e) {
    if (e.detail.errMsg != "getPhoneNumber:ok") {
      wx.showToast({
        title: "获取手机号失败",
        icon: 'fail',
        duration: 2000
      });
      return;
    }

    var phoneCode = e.detail.code;
    if (phoneCode) {
      wx.login({
        success: res1 => {
          wx.showLoading({
            title: '加载中',
          });

          // {"openid":"oZHPJ5JcNem2och3ToaocggmUENw","unionid":null,"userId":null,"deviceUid":null,"accessToken":null,"phone":null,"headUrl":"","nickname":"","isNewUser":true}
          login({
            code: res1.code,
            unShowLoad: true,
          }).then((res2) => {
            register({
              openid: res2.openid,
              code: phoneCode,
              unShowLoad: true,
            }).then((res3) => {
              // {"openid":"oZHPJ5JcNem2och3ToaocggmUENw","userId":933625,"deviceUid":1,"accessToken":"PUK8WVnLbIFsWYjSteitmg3OhllpbUMvIPKUtfJgwhRtpl1jx4Fm1NkHQIiZYhHz","phone":"15915390284","headUrl":"https://music-play.oss-cn-shenzhen.aliyuncs.com/user/headurl/20220316194115703366576.png","nickname":"儿子的爸爸叫啥"}
              wx.login({
                success: res4 => {
                  // {"openid":"oZHPJ5JcNem2och3ToaocggmUENw","unionid":null,"userId":933625,"deviceUid":1,"accessToken":"kaKdNAb9eO0iUGKsaLP18UE0wRwrvoCr4opjNC3AieaigH4Fu1IspQKi2zTPgLNG","phone":"15915390284","headUrl":"https://music-play.oss-cn-shenzhen.aliyuncs.com/user/headurl/20220316194115703366576.png","nickname":"儿子的爸爸叫啥","isNewUser":false}
                  login({
                    code: res4.code,
                    phone: res3.phone,
                  }).then((res5) => {
                    wx.showToast({
                      title: "登录成功",
                      icon: 'success',
                      duration: 2000
                    });
                    app.globalData.userInfo = res5;
                    wx.setStorageSync("userInfo", res5);
                    wx.setStorageSync("token", JSON.stringify({
                      id: res5.userId,
                      token: res5.accessToken,
                    }), );

                    getCurrentPages()[0].onUserInfoLoad();
                    setTimeout(() => {
                      route_util.redirectTo(route_constant.deviceList);
                    }, 2000);
                  });
                },
                fail(fail4) {
                  wx.hideLoading();
                },
              });
            });
          });
        },
        fail(fail1) {
          wx.hideLoading();
        },
      });
    }
  },

  notlogin() {
    wx.showToast({
      title: '请同意协议',
      icon: "none"
    })
  }
})

// 需要用授权登录
// if ((res.isNewUser && res.isNewUser === true) || !phone) {
//   return;
// };